Subject: Re: network interface state

From: David Miller <[email-masked]>
Date: Wed, 14 Nov 2007 16:22:01 -0800 (PST)

From: Ulrich Drepper <[email-masked]>
Date: Wed, 14 Nov 2007 16:12:28 -0800

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> David Miller wrote:
> > Most daemons handle this by listening for events on the netlink
> > socket, but I understand how that might not be practical for
> > glibc.
> 
> Right, this cannot work.  I have no inner loop which I can control.  I
> cannot install a listener.
> 
> At some point, when we have non-sequential, hidden file descriptors,
> I'll be able to leave a socket file descriptor open.  But that's about
> it.  Even then the generation counter interface is likely to be the best
> choice.

Ok, I'll think about how to implement this.

> BTW, is it possible to send both these requests out before starting to
> read the results?  This would reduce the amount of code quite a bit.

Unfortunately, that won't work.  Like datagram protocols,
netlink assumes one message per sendmsg() call.